#include "csapp.h"

void ctl_c(int sig) {
  sio_puts("c\n");
}

void quit(int sig) {
  sio_puts("q\n");
}

int main() {
  int status;
  pid_t pid;

  Signal(SIGINT, ctl_c);
  Signal(SIGQUIT, quit);
  
  pid = Fork();
  if (pid == 0) {
    Kill(getppid(), SIGINT);
    Kill(getppid(), SIGQUIT);
    return 0;
  }

  Waitpid(pid, &status, 0);

  return 0;
}
