#include "csapp.h"

void child(int sig) {
  sio_puts("c\n");
}

int main() {
  int fdsA[2], fdsB[2];
  pid_t pid1, pid2;
  char buffer[2];

  Signal(SIGCHLD, child);

  Pipe(fdsA);
  Pipe(fdsB);

  pid1 = Fork();
  if (pid1 == 0) {
    Write(fdsA[1], "1", 1);

    Read(fdsB[0], buffer, 1);

    return 0;
  }

  pid2 = Fork();
  if (pid2 == 0) {
    Read(fdsA[0], buffer, 1);

    Kill(pid1, SIGSTOP);

    return 0;
  }

  Waitpid(pid2, NULL, 0);

  Write(fdsB[1], "p", 1);

  Kill(pid1, SIGCONT);
  Waitpid(pid1, NULL, 0);

  return 0;
}
